function y=ProdQuat(q,Q);

% *********************************************************************
% Cette fonction ralise le produit du quaternion q par le quaternion Q
% Ces quaternions doivent tre passs sous forme de vecteur ligne  4
% composantes q=[q0 q1 q2 q3]   Q=[Q0 Q1 Q2 Q3]
% La sortie du produit est un vecteur ligne  4 composantes
% **********************************************************************

% Composantes du premier quaternion
q0=q(1);q1=q(2);q2=q(3);q3=q(4);

% Composantes du deuixime quaternion
Q0=Q(1);Q1=Q(2);Q2=Q(3);Q3=Q(4);

% CALCUL DES COMPOSANTES DU PRODUIT DES QUATERNIONS

Prod_Q0=q0*Q0-(q1*Q1+q2*Q2+q3*Q3);

Prod_Q1=q0*Q1+Q0*q1+q2*Q3-Q2*q3;

Prod_Q2=q2*Q0+q0*Q2+q3*Q1-Q3*q1;

Prod_Q3=q0*Q3+Q0*q3+q1*Q2-Q1*q2;


y=[Prod_Q0 Prod_Q1 Prod_Q2 Prod_Q3];

end






